# Generated by Django 3.1.2 on 2020-10-25 00:06

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('schedules', '0011_auto_20201024_2048'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='flightschedule',
            name='drone',
        ),
        migrations.AddField(
            model_name='flight',
            name='date',
            field=models.DateTimeField(default=django.utils.timezone.now, verbose_name='flight date'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='flight',
            name='drone',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='schedules.drone'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='flight',
            name='schedule',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='schedules.flightschedule'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='flightschedule',
            name='schedule_start_date',
            field=models.DateTimeField(verbose_name='first flight'),
        ),
    ]
